Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.alerts
Class LDAPAlertCodes

    java.lang.Object
      com.stc.connector.ldapadapter.alerts.LDAPAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class LDAPAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `LDAP_CLEANUPFAILED` Cleanup to LDAP Connection failed LDAP connection failed to cleanup
`static java.lang.String` | `LDAP_CONNECTIONFAILED` Connection to LDAP Server failed LDAP host failed to connect
`static java.lang.String` | `LDAP_DISCONNECTIONFAILED` Disonnection to LDAP Server failed LDAP host failed to disconnect
`static java.lang.String` | `LDAP_EWAY_RUNNING` eWay running status code.
`static java.lang.String` | `LDAP_EWAY_STARTED` eWay started status code.
`static java.lang.String` | `LDAP_EWAY_STOPPED` eWay stopped status code.
`static java.lang.String` | `LDAP_EWAY_STOPPING` eWay stopping status code.
`static java.lang.String` | `LDAP_EWAY_SUSPENDED` eWay suspended status code.
`static java.lang.String` | `LDAP_EWAY_SUSPENDING` eWay suspending status code.
`static java.lang.String` | `LDAP_INITIALIZEFAILED` Initialize LDAP Connection failed LDAP connection failed to initialize

Constructor Summary
`LDAPAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LDAP_EWAY_STARTED

    public static final java.lang.String LDAP_EWAY_STARTED

  eWay started status code.

  See Also:
    Constant Field Values

### LDAP_EWAY_RUNNING

    public static final java.lang.String LDAP_EWAY_RUNNING

  eWay running status code.

  See Also:
    Constant Field Values

### LDAP_EWAY_STOPPING

    public static final java.lang.String LDAP_EWAY_STOPPING

  eWay stopping status code.

  See Also:
    Constant Field Values

### LDAP_EWAY_STOPPED

    public static final java.lang.String LDAP_EWAY_STOPPED

  eWay stopped status code.

  See Also:
    Constant Field Values

### LDAP_EWAY_SUSPENDING

    public static final java.lang.String LDAP_EWAY_SUSPENDING

  eWay suspending status code.

  See Also:
    Constant Field Values

### LDAP_EWAY_SUSPENDED

    public static final java.lang.String LDAP_EWAY_SUSPENDED

  eWay suspended status code.

  See Also:
    Constant Field Values

### LDAP_CONNECTIONFAILED

    public static final java.lang.String LDAP_CONNECTIONFAILED

  Connection to LDAP Server failed LDAP host failed to connect

  See Also:
    Constant Field Values

### LDAP_DISCONNECTIONFAILED

    public static final java.lang.String LDAP_DISCONNECTIONFAILED

  Disonnection to LDAP Server failed LDAP host failed to disconnect

  See Also:
    Constant Field Values

### LDAP_CLEANUPFAILED

    public static final java.lang.String LDAP_CLEANUPFAILED

  Cleanup to LDAP Connection failed LDAP connection failed to cleanup

  See Also:
    Constant Field Values

### LDAP_INITIALIZEFAILED

    public static final java.lang.String LDAP_INITIALIZEFAILED

  Initialize LDAP Connection failed LDAP connection failed to initialize

  See Also:
    Constant Field Values

Constructor Detail

### LDAPAlertCodes

    public LDAPAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD